##### 7.7.7.0. lpOrdMisLex

Procedure from library `fpadim.lib` (see fpadim_lib).

Usage:
  lpOrdMisLex(M); M an ideal of mistletoes

Return:
  ideal, containing the mistletoes, ordered lexicographically

Purpose:
  A given set of mistletoes is ordered lexicographically

Assume:
  - basering is a Letterplace ring. G is a Letterplace ideal.

Note:
  This is preprocessing, it is not needed if the mistletoes are returned
  from the sickle algorithm.

Example:

    LIB "fpadim.lib";
    ring r = 0,(x,y),dp;
    def R = makeLetterplaceRing(5); // constructs a Letterplace ring
    setring R; // sets basering to Letterplace ring
    ideal M = x(1)*y(2)*x(3), y(1)*y(2)*x(3), x(1)*x(2), y(1)*x(2)*x(3)*x(4);
    // some monomials
    lpOrdMisLex(M); // orders the monomials lexicographically
    ==> _[1]=x(1)*x(2)
    ==> _[2]=x(1)*y(2)*x(3)
    ==> _[3]=y(1)*x(2)*x(3)*x(4)
    ==> _[4]=y(1)*y(2)*x(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.